#!/bin/bash

# check to see if args were passed 
if [ "$1" = "" ]; then
  echo "Mass LPD Scanner"
  echo ""
  echo "Usage:"
  echo `basename $0`" [domain]"
  echo "Examples:"
  echo `basename $0`" org.au"
  exit
else
  echo "--["
  echo "--[ Mass LPD Scanner"
  echo "--["
  echo "--[ lowd - lowd@geeklab.org"
  echo ""
  
  # scan hosts
  echo "--[ Scanning: $1"
  host -l $1 | grep "has address" | awk -F ' ' '{ print $4 }' > $1.domains
  echo "--[ Host scan complete."

  # sort the hosts
  echo "--[ Sorting hosts"
  sort < $1.domains > $1.sorted
  uniq < $1.sorted > $1.domains
  rm -f $1.sorted

  # start the scan
  echo "--[ Starting scan"
  cat $1.domains | awk -F ' ' '{ print "./strobe -b 514 -e 515 -t 6 " $1 }' > $1.tmp
  chmod +x $1.tmp
  echo "--[ Checking for port 515 open"
  ./$1.tmp > $1.results

  # clean up
  echo "--[ Strobe Complete"
  echo "--[ Removing unwanted files"
  rm -f $1.domains $1.tmp $1.tmp2 $1.strobe
  echo "--[ Results in $1.results"
fi
